package com.install4j.jdk.spi;

import org.jetbrains.annotations.NotNull;

import java.util.Collection;

/**
 * Category node for the tree of JDK releases. This node can have child nodes, but is not selectable as a release itself.
 */
public interface JdkCategoryNode extends JdkNode {
    /**
     * Returns the child nodes which can be category nodes again or instances of {@link JdkReleaseNode}.
     */
    @NotNull
    Collection<? extends JdkNode> getChildren();
}
